Issue #4812 has been updated by Ryan Davis.

Status changed from Open to Closed

Looks like nobu beat you to the punch. Thanks tho!
----------------------------------------
Bug #4812: tool/rbinstall.rb does not work with rubygems 1.8.5
http://redmine.ruby-lang.org/issues/4812

Author: Sakuro OZAWA
Status: Closed
Priority: Normal
Assignee: Ryan Davis
Category: lib
Target version: 
ruby -v: ruby 1.9.3dev (2011-06-01 trunk 31888) [i386-darwin9.8.0]


=begin
Now rubygems 1.8.5 is merged into the trunk.  But tool/rbinstall.rb depends on the fact that
 DIRECTORIES = %w[cache doc gems specifications] unless defined?(DIRECTORIES)
line exist in lib/rubygems.rb, which did exist in rubygems 1.6.2 but gone in 1.8.5.

The attached patch is not the best but simply a workaround which copies the subdirecotry list from old lib/rubygems.rb.
=end



-- 
http://redmine.ruby-lang.org